# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCancelDelegationTokenReq

Packages that use TCancelDelegationTokenReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCancelDelegationTokenReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCancelDelegationTokenReq
Modifier and Type
Class
Description
`class`
`TCancelDelegationTokenReq`
`class`
`TCancelDelegationTokenReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCancelDelegationTokenReq
Modifier and Type
Field
Description
`TCancelDelegationTokenReq`
TCLIService.CancelDelegationToken_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCancelDelegationTokenReq
Modifier and Type
Method
Description
`TCancelDelegationTokenReq`
TCancelDelegationTokenReq.`deepCopy()`
`TCancelDelegationTokenReq`
TCLIService.CancelDelegationToken_args.`getReq()`
`TCancelDelegationTokenReq`
TCancelDelegationTokenReq.`setDelegationToken(String delegationToken)`
`TCancelDelegationTokenReq`
TCancelDelegationTokenReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelDelegationTokenReq
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`TCancelDelegationTokenResp`
TCLIService.Client.`CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCancelDelegationTokenResp`
TCLIService.Iface.`CancelDelegationToken(TCancelDelegationTokenReq req)`
`int`
TCancelDelegationTokenReq.`compareTo(TCancelDelegationTokenReq other)`
`boolean`
TCancelDelegationTokenReq.`equals(TCancelDelegationTokenReq that)`
`void`
TCLIService.Client.`send_CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCLIService.CancelDelegationToken_args`
TCLIService.CancelDelegationToken_args.`setReq(TCancelDelegationTokenReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelDelegationTokenReq
Modifier
Constructor
Description
``
`CancelDelegationToken_args(TCancelDelegationTokenReq req)`
``
`CancelDelegationToken_call(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TCancelDelegationTokenReq(TCancelDelegationTokenReq other)`
Performs a deep copy on other.